package mhp.oee.po.gen;

import java.util.Date;

public class AlertCommentPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column alert_comment.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column alert_comment.SITE
     *
     * @mbggenerated
     */
    private String site;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column alert_comment.COMMENT_CODE
     *
     * @mbggenerated
     */
    private String commentCode;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column alert_comment.RESOURCE_TYPE
     *
     * @mbggenerated
     */
    private String resourceType;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column alert_comment.DESCRIPTION
     *
     * @mbggenerated
     */
    private String description;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column alert_comment.ENABLED
     *
     * @mbggenerated
     */
    private String enabled;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column alert_comment.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column alert_comment.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column alert_comment.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column alert_comment.HANDLE
     *
     * @return the value of alert_comment.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column alert_comment.HANDLE
     *
     * @param handle the value for alert_comment.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column alert_comment.SITE
     *
     * @return the value of alert_comment.SITE
     *
     * @mbggenerated
     */
    public String getSite() {
        return site;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column alert_comment.SITE
     *
     * @param site the value for alert_comment.SITE
     *
     * @mbggenerated
     */
    public void setSite(String site) {
        this.site = site == null ? null : site.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column alert_comment.COMMENT_CODE
     *
     * @return the value of alert_comment.COMMENT_CODE
     *
     * @mbggenerated
     */
    public String getCommentCode() {
        return commentCode;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column alert_comment.COMMENT_CODE
     *
     * @param commentCode the value for alert_comment.COMMENT_CODE
     *
     * @mbggenerated
     */
    public void setCommentCode(String commentCode) {
        this.commentCode = commentCode == null ? null : commentCode.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column alert_comment.RESOURCE_TYPE
     *
     * @return the value of alert_comment.RESOURCE_TYPE
     *
     * @mbggenerated
     */
    public String getResourceType() {
        return resourceType;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column alert_comment.RESOURCE_TYPE
     *
     * @param resourceType the value for alert_comment.RESOURCE_TYPE
     *
     * @mbggenerated
     */
    public void setResourceType(String resourceType) {
        this.resourceType = resourceType == null ? null : resourceType.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column alert_comment.DESCRIPTION
     *
     * @return the value of alert_comment.DESCRIPTION
     *
     * @mbggenerated
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column alert_comment.DESCRIPTION
     *
     * @param description the value for alert_comment.DESCRIPTION
     *
     * @mbggenerated
     */
    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column alert_comment.ENABLED
     *
     * @return the value of alert_comment.ENABLED
     *
     * @mbggenerated
     */
    public String getEnabled() {
        return enabled;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column alert_comment.ENABLED
     *
     * @param enabled the value for alert_comment.ENABLED
     *
     * @mbggenerated
     */
    public void setEnabled(String enabled) {
        this.enabled = enabled == null ? null : enabled.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column alert_comment.CREATED_DATE_TIME
     *
     * @return the value of alert_comment.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column alert_comment.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for alert_comment.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column alert_comment.MODIFIED_DATE_TIME
     *
     * @return the value of alert_comment.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column alert_comment.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for alert_comment.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column alert_comment.MODIFIED_USER
     *
     * @return the value of alert_comment.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column alert_comment.MODIFIED_USER
     *
     * @param modifiedUser the value for alert_comment.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}